Bug 1276453 - Azure orchestration provisioning failed due to missing Azure Vm automate model
Azure orchestration provisioning failed due to missing Azure Vm automate model
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Bill Wei
Jeff Teehan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 14:19 EDT by Bill Wei
Modified: 2015-12-08 08:42 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:42:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Wei 2015-10-29 14:19:18 EDT
Description of problem:

Order a service to do Azure orchestration provisioning and failed. The log shows

[----] E, [2015-10-27T13:55:11.675714 #17346:3fea85860204] ERROR -- : <AutomationEngine> MiqAeServiceModelBase.ar_method raised: <NameError>: <uninitialized constant MiqAeMethodService::MiqAeServiceManageIQ_Providers_Azure_CloudManager_Vm>
[----] E, [2015-10-27T13:55:11.675809 #17346:3fea85860204] ERROR -- : <AutomationEngine> /Users/bwei/redhat/iq/manageiq/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:116:in `const_get'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 CFME Bot 2015-10-30 11:30:35 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/888295552eb62c54bc5ecfe6df4f1670a6b0bd6f

commit 888295552eb62c54bc5ecfe6df4f1670a6b0bd6f
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Thu Oct 29 09:25:17 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Oct 30 09:53:55 2015 -0400

    Add missing azure vm automate model
    
    Use constantize method to convert string to class
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276453

 app/models/miq_event.rb                                          | 3 +--
 .../miq_ae_service_manageiq-providers-azure-cloud_manager-vm.rb  | 4 ++++
 spec/models/miq_event_spec.rb                                    | 9 ++++++++-
 3 files changed, 13 insertions(+), 3 deletions(-)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-azure-cloud_manager-vm.rb
Comment 5 CFME Bot 2015-11-04 13:43:37 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e7a79d6f51d1f88bfe865b44215df9535f13ae27

commit e7a79d6f51d1f88bfe865b44215df9535f13ae27
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Thu Oct 29 09:25:17 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Oct 30 15:24:06 2015 -0400

    Add missing azure vm automate model
    
    Use constantize method to convert string to class
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276453

 app/models/miq_event.rb                                          | 3 +--
 .../miq_ae_service_manageiq-providers-azure-cloud_manager-vm.rb  | 4 ++++
 spec/models/miq_event_spec.rb                                    | 9 ++++++++-
 3 files changed, 13 insertions(+), 3 deletions(-)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-azure-cloud_manager-vm.rb
Comment 6 CFME Bot 2015-11-04 13:43:44 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ac1021ca0426f742d1b72e0897d508eb1bf8ef3f

commit ac1021ca0426f742d1b72e0897d508eb1bf8ef3f
Merge: 739f881 e7a79d6
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Sat Oct 31 09:36:28 2015 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Sat Oct 31 09:36:28 2015 -0400

    Merge branch '5.5.z_azure_vm_automate' into '5.5.z'
    
    Add missing azure vm automate model
    
    Use constantize method to convert string to class
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276453
    
    Original PR: https://github.com/ManageIQ/manageiq/pull/5193
    
    See merge request !319

 app/models/miq_event.rb                                          | 3 +--
 .../miq_ae_service_manageiq-providers-azure-cloud_manager-vm.rb  | 4 ++++
 spec/models/miq_event_spec.rb                                    | 9 ++++++++-
 3 files changed, 13 insertions(+), 3 deletions(-)
Comment 7 Jeff Teehan 2015-11-20 13:16:28 EST
This has been thoroughly tested in the last few builds and is the precursor issue to getting to VM Provision bz tested and closed.

Final test completed on 5.5.0.11 using https://10.16.6.164

Moving to verified.
Comment 9 errata-xmlrpc 2015-12-08 08:42:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.